Get a token
curl --request GET \
--url https://api.raze.bot/v1/tokens/{chain}/{address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.raze.bot/v1/tokens/{chain}/{address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.raze.bot/v1/tokens/{chain}/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"chain": "sol",
"address": "DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263",
"name": "Bonk",
"symbol": "Bonk",
"decimals": 5,
"image": "https://gmgn.ai/external-res/4347f4c4d1e865bd04c0ed7dd4abbafb_v2.webp",
"banner": "https://gmgn.ai/external-res/ba6d01a031fc028efe5b0acbcfb8cc13.webp",
"description": null,
"socials": {
"twitter": "https://x.com/bonk_inu",
"telegram": "https://t.me/Official_Bonk_Inu",
"website": "https://www.bonkcoin.com",
"discord": null
},
"createdAt": 1670531612000,
"creator": null,
"totalSupply": 87994377287740,
"circulatingSupply": 87994377287740,
"priceUsd": 0.0000037768409,
"marketCapUsd": 332340763.11,
"liquidityUsd": 305509.85,
"holders": 1011844,
"stats": {
"1m": {
"priceChangePercent": -0.05,
"volumeUsd": 1126.58,
"buyVolumeUsd": 230.04,
"sellVolumeUsd": 896.54,
"buys": 30,
"sells": 24,
"trades": 54
},
"5m": {
"priceChangePercent": -0.24,
"volumeUsd": 2795.81,
"buyVolumeUsd": 780.27,
"sellVolumeUsd": 2015.53,
"buys": 42,
"sells": 57,
"trades": 99
},
"1h": {
"priceChangePercent": -0.9,
"volumeUsd": 52297.54,
"buyVolumeUsd": 22963.56,
"sellVolumeUsd": 29333.98,
"buys": 434,
"sells": 559,
"trades": 993
},
"6h": {
"priceChangePercent": -0.29,
"volumeUsd": 370568.63,
"buyVolumeUsd": 187256.1,
"sellVolumeUsd": 183312.53,
"buys": 4399,
"sells": 4447,
"trades": 8846
},
"24h": {
"priceChangePercent": 3.98,
"volumeUsd": 2948567.18,
"buyVolumeUsd": 1499353.96,
"sellVolumeUsd": 1449213.22,
"buys": 34362,
"sells": 31693,
"trades": 66055
}
},
"pool": {
"address": "5zpyutJu9ee6jFymDGoK7F6S5Kczqtc9FomP3ueKuyA9",
"dex": "orca",
"quoteToken": "So11111111111111111111111111111111111111112",
"quoteSymbol": "SOL",
"liquidityUsd": 305509.85
},
"launchpad": null,
"safety": {
"top10Percent": 31.83,
"devPercent": 0,
"snipersPercent": 0.00003,
"bundlersPercent": 0.21,
"insidersPercent": 0.06,
"botsPercent": 0.02,
"freshWalletsPercent": 0.02,
"bluechipPercent": 0,
"creatorLaunches": 0,
"honeypot": null,
"mintRenounced": null,
"freezeRenounced": null,
"buyTaxPercent": null,
"sellTaxPercent": null
}
}
}{
"error": {
"code": "bad_request",
"message": "unknown chain 'xyz', use one of: sol, eth, bsc, base, robinhood"
}
}{
"error": {
"code": "not_found",
"message": "token not found"
}
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Tokens
Get token
Everything about one token: identity, price, market cap, liquidity, holders, 1m–24h stats,
main pool, launchpad and safety. 404 when no source knows the token.
GET
/
v1
/
tokens
/
{chain}
/
{address}
Get a token
One call for a token page: identity, socials, supply, price, market cap (
priceUsd × circulatingSupply), liquidity, holders, stats over 1m, 5m, 1h, 6h and 24h, the main pool, the launchpad and safety.
launchpadisnullfor a token that never was on one. While on the curve,progressPercentis the fill (0–100); after graduationgraduatedistrueandgraduatedPoolthe pool it moved to.safetyfields that arenullare unknown, not clean: never render them as a green check.- 404 means no source knows the token. 502 means a source did not answer: retry, do not treat it as “does not exist”.
token channel sends a price tick on every trade and this object again every 15 s while it trades.Authorizations
ApiKeyHeaderBearerApiKeyQuery
Path Parameters
sol, eth, bsc, base or robinhood (or an alias or network id)
Example:
"sol"
Token address (mint or contract)
Example:
"DezXAZ8z7PnrnRJjz3wXBoRgixCa6xjnB7YaB1pPB263"
Response
Token
Show child attributes
Show child attributes
⌘I